This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 863668 - Permission to distribute for RISC OS
Permission to distribute for RISC OS
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 09:51 EDT by Malcolm Amir Hussain-Gambles
Modified: 2013-05-08 06:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 06:28:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Malcolm Amir Hussain-Gambles 2012-10-06 09:51:09 EDT
Description of problem:
I have converted the Liberation fonts from ttf to native RISC OS format.
Technically this is a modified version of the font.
As per the licence I am asking for explicit permission to keep the font name as Liberation.
The font will not be charged for etc. as per licence requirements, and the licence will be included in the distribution.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Pravin Satpute 2012-10-09 01:56:17 EDT
What are the steps you have taken for this conversion? 
I saw one utility http://www.netsurf-browser.org/projects/ttf2f/ for this conversion.
Comment 2 Malcolm Amir Hussain-Gambles 2012-10-09 02:47:35 EDT
I simply ran the fonts through the converter and have labeled them:
LiberationMono.Bold
LiberationMono.Italic
LiberationMono.Regular
LiberationSans.Bold
LiberationSans.Italic
LiberationSans.Regular
LiberationSerif.Bold
LiberationSerif.Italic
LiberationSerif.Regular

I have placed these in a ZIP file along with the licence file ready for distribution.
I can host a copy of the zip file for your inspection if you would like

Thanks

Malcolm
Comment 3 Malcolm Amir Hussain-Gambles 2012-10-09 02:48:21 EDT
Sorry, yes I used the ttf2f converter that you mentioned.
Comment 4 Pravin Satpute 2012-10-15 01:57:40 EDT
Yes, it will be nice if you host or attach converted fonts zip copy on this bugzilla.

Other queries are
1. Does RISK OS fonts provide same rendering as ttf? (will be good if you can provide some screenshot)
2. Is there any chance of conversion in font format result in crashing of application?
3. Converted font should contain the font information of original ttf, like version, font name, license and copyright etc.
Comment 5 Pravin Satpute 2012-11-27 06:52:46 EST
ping..
Comment 6 Malcolm Amir Hussain-Gambles 2012-11-27 08:07:44 EST
Sorry, just in the middle of a house move.

1. I'll get a screenshot and zip file.
2. There is always a theoretical possibility of a font crashing an application, however it is highly improbable and I haven't ever seen this happen with this (or any other font)
3. Not exactly sure if it does or not, I'll strings it and see. If it doesn't would providing original ttf distribution with it be OK?
Comment 7 Pravin Satpute 2012-11-27 08:19:23 EST
Yes, fair enough. Waiting for zip file.
Comment 8 Fedora End Of Life 2013-04-03 13:09:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Pravin Satpute 2013-05-08 06:28:16 EDT
Please reopen when you gets time.

Note You need to log in before you can comment on or make changes to this bug.